Bug 1730313

Summary: CVE-2019-13228 deepin-clone: fixed path in the BootDoctor::fix() function allows symlink attack [fedora-30]
Product: [Fedora] Fedora Reporter: Marian Rehak <mrehak>
Component: deepin-cloneAssignee: Robin Lee <robinlee.sysu>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 30CC: robinlee.sysu, sensor.wen, sztsian
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: deepin-clone-1.1.4-1.fc30 Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-07-28 01:23:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Marian Rehak 2019-07-16 12:30:52 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-30.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Zamir SUN 2019-07-16 15:06:07 UTC
After a quick discussion with Robin, I'm assigning all these to him for easier tracking.

Comment 2 Fedora Update System 2019-07-19 02:43:08 UTC
FEDORA-2019-3d418f349c has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3d418f349c

Comment 3 Fedora Update System 2019-07-20 00:59:50 UTC
deepin-clone-1.1.4-1.fc30, dtkcore-2.0.16.1-1.fc30, dtkwidget-2.0.16.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3d418f349c

Comment 4 Fedora Update System 2019-07-28 01:23:20 UTC
deepin-clone-1.1.4-1.fc30, dtkcore-2.0.16.1-1.fc30, dtkwidget-2.0.16.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.